org.bdgenomics.adam.models

# SequenceDictionary

###
Related Docs: class SequenceDictionary | package models

#### object SequenceDictionary extends Serializable

SequenceDictionary contains the (bijective) map between Ints (the referenceId) and Strings (the referenceName) from the header of a BAM file, or the combined result of multiple such SequenceDictionaries.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SequenceDictionary
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(reader: SamReader): SequenceDictionary

5. #### def apply(header: SAMFileHeader): SequenceDictionary

6. #### def apply(dict: SAMSequenceDictionary): SequenceDictionary

7. #### def apply(records: SequenceRecord*): SequenceDictionary

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def empty: SequenceDictionary

    returns

      Creates a new, empty SequenceDictionary.

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### def fromAvro(contigs: Seq[Contig]): SequenceDictionary

    Creates a sequence dictionary from a sequence of Avro Contigs.

    Creates a sequence dictionary from a sequence of Avro Contigs.

    contigs

      Seq of Contig records.

    returns

      Returns a sequence dictionary.

15. #### def fromSAMHeader(header: SAMFileHeader): SequenceDictionary

    Extracts a SAM sequence dictionary from a SAM file header and returns an ADAM sequence dictionary.

    Extracts a SAM sequence dictionary from a SAM file header and returns an ADAM sequence dictionary.

    header

      SAM file header.

    returns

      Returns an ADAM style sequence dictionary.

    See also

      fromSAMSequenceDictionary

16. #### def fromSAMReader(samReader: SamReader): SequenceDictionary

17. #### def fromSAMSequenceDictionary(samDict: SAMSequenceDictionary): SequenceDictionary

    Converts a picard/samtools SAMSequenceDictionary into an ADAM sequence dictionary.

    Converts a picard/samtools SAMSequenceDictionary into an ADAM sequence dictionary.

    samDict

      SAM style sequence dictionary.

    returns

      Returns an ADAM style sequence dictionary.

    See also

      fromVCFHeader

      fromSAMHeader

18. #### def fromVCFHeader(header: VCFHeader): SequenceDictionary

    Extracts a SAM sequence dictionary from a VCF header and returns an ADAM sequence dictionary.

    Extracts a SAM sequence dictionary from a VCF header and returns an ADAM sequence dictionary.

    header

      VCF file header.

    returns

      Returns an ADAM style sequence dictionary.

    See also

      fromSAMHeader

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toSAMSequenceDictionary(dictionary: SequenceDictionary): SAMSequenceDictionary

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped